package pl.sloudpl.simplevanish;

import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;
import pl.sloudpl.simplevanish.bstats.Metrics;
import pl.sloudpl.simplevanish.cmds.VanishCommand;
import pl.sloudpl.simplevanish.events.onJoinEvent;
import pl.sloudpl.simplevanish.events.onLeaveEvent;
import pl.sloudpl.simplevanish.events.onPlayerDamage;
import pl.sloudpl.simplevanish.utils.UpdateChecker;

import java.util.ArrayList;

public final class SimpleVanish extends JavaPlugin {

    public ArrayList<Player> inVanishList = new ArrayList<>();

    @Override
    public void onEnable() {

        int pluginId = 26193;
        Metrics metrics = new Metrics(this, pluginId);

        saveDefaultConfig();

        new VanishCommand(this);

        new onJoinEvent(this);
        new onLeaveEvent(this);

        if(getConfig().getBoolean("vanish-damage")){
            new onPlayerDamage(this);
        }

        new UpdateChecker(this, 108713).getLatestVersion(version -> {
            String current = this.getDescription().getVersion();
            if (!current.equalsIgnoreCase(version)) {
                getLogger().warning("§cA new version of §eSloudVanish §cis available!");
                getLogger().warning("§7Current: §e" + current + " §7| Latest: §a" + version);
                getLogger().warning("§bDownload: https://www.spigotmc.org/resources/sloudvanish.108713/");
            } else {
                getLogger().info("§aSloudVanish is up to date (v" + current + ").");
            }
        });

    }

    @Override
    public void onDisable() {



    }
}
